PEARL Procedures Igor procedures for the analysis of PEARL data

- Main Page
- Related Pages
- Packages
- Namespaces
- Files

- File List
- Globals

Namespaces | Functions
pearl-preparation.ipf File Reference

PEARL sample preparation package. More...

`#include "pearl-area-display"`
`#include "pearl-area-profiles"`
`#include "pearl-elog"`

Go to the source code of this file.

## Namespaces
| PearlPreparation
| PEARL sample preparation package.

## Functions
static variable | AfterCompiledHook ()
| initializes package data once when the procedure is first loaded More...
variable | UnloadPearlPreparationPackage ()

## Detailed Description

PEARL sample preparation package.

this procedure defines the PEARL sample preparation package the main purpose of this file is to load the necessary dependent procedures (see the include statements at the top)

Precondition
  - on-line process control functionality requires the EPICS XOP to be loaded

Author
  matthias muntwiler, matth.nosp@m.ias..nosp@m.muntw.nosp@m.iler.nosp@m.@psi..nosp@m.ch

Copyright
  2015 Paul Scherrer Institut
  Licensed under the Apache License, Version 2.0 (the "License");
  you may not use this file except in compliance with the License.
  You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0

Definition in file pearl-preparation.ipf.

## Function Documentation

static variable AfterCompiledHook | ( |  | ) |
| static

initializes package data once when the procedure is first loaded

Definition at line 63 of file pearl-preparation.ipf.

variable UnloadPearlPreparationPackage | ( |  | ) |

Definition at line 70 of file pearl-preparation.ipf.